org.apache.lucene.codecs.simpletext

## Class SimpleTextFieldInfosFormat

- java.lang.Object
- - org.apache.lucene.codecs.FieldInfosFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosFormat

    public class SimpleTextFieldInfosFormat
    extends FieldInfosFormat

plaintext field infos format

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextFieldInfosFormat()`

### Method Summary

Methods
`FieldInfosReader` `getFieldInfosReader()`
`FieldInfosWriter` `getFieldInfosWriter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTextFieldInfosFormat

    public SimpleTextFieldInfosFormat()

### Method Detail

#### getFieldInfosReader

    public FieldInfosReader getFieldInfosReader()
                                         throws IOException

Specified by:
  `getFieldInfosReader` in class `FieldInfosFormat`
Throws:
  `IOException`

#### getFieldInfosWriter

    public FieldInfosWriter getFieldInfosWriter()
                                         throws IOException

Specified by:
  `getFieldInfosWriter` in class `FieldInfosFormat`
Throws:
  `IOException`